Your submission was sent successfully! Close

CVE-2020-7064

Published: 1 April 2020

In PHP versions 7.2.x below 7.2.9, 7.3.x below 7.3.16 and 7.4.x below 7.4.4, while parsing EXIF data with exif_read_data() function, it is possible for malicious data to cause PHP to read one byte of uninitialized memory. This could potentially lead to information disclosure or crash.

Priority

Medium

CVSS 3 base score: 5.4

Status

Package Release Status
php5
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan Does not exist

focal Does not exist

precise
Released (5.3.10-1ubuntu3.45)
trusty
Released (5.5.9+dfsg-1ubuntu4.29+esm11)
upstream Needs triage

xenial Does not exist

Patches:
upstream: https://github.com/microsoft/php-src/commit/5ac3ebcd4f9509d1a7e54f30117227822fbc0648#diff-c163453976b65334f071d1d4f976ef45
php7.0
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial
Released (7.0.33-0ubuntu0.16.04.14)
php7.2
Launchpad, Ubuntu, Debian
bionic
Released (7.2.24-0ubuntu0.18.04.4)
eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

php7.3
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan
Released (7.3.11-0ubuntu0.19.10.4)
focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

php7.4
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan Does not exist

focal
Released (7.4.3-4ubuntu1.1)
precise Does not exist

trusty Does not exist

upstream
Released (7.4.4)
xenial Does not exist